Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERT61String

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1T61String
                  org.bouncycastle.asn1.DERT61String

All Implemented Interfaces:
  ASN1Encodable, ASN1String, Encodable

public class DERT61String
extends ASN1T61String

DER T61String (also the teletex string), try not to use this if you don't need to. The standard support the encoding for this has been withdrawn.

Constructor Summary
`DERT61String(byte[] string)` Basic constructor - string encoded as a sequence of bytes.
`DERT61String(java.lang.String string)` Basic constructor - with string 8 bit assumed.

Methods inherited from class org.bouncycastle.asn1.ASN1T61String
`getInstance, getInstance, getOctets, getString, getTagged, hashCode, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERT61String

    public DERT61String(java.lang.String string)

  Basic constructor - with string 8 bit assumed.

Parameters:
  `string` - the string to be wrapped.

### DERT61String

    public DERT61String(byte[] string)

  Basic constructor - string encoded as a sequence of bytes.

Parameters:
  `string` - the byte encoding of the string to be wrapped.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD